Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000159 [Piwigo] users & groups major always 2005.09.22 13:00 2005.10.18 21:39
Reporter samyyy View Status public  
Assigned To plg
Priority low Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.5.0RC2 Product Version 1.5.0RC1
  Target Version Product Build
Summary 0000159: Pb de renvoi de MDP chez free
Description Lors du renvoi automatique de MDP...
Erreur ligne 56 sur le fichier password.php, le mail ne part pas...

Je pense que ça vient du fameux parmètre "$option" qui est refusé alors j'ai changé la ligne 56 :
******
return mail($to, $subject, $content, $headers, $options);
***en***
return mail($to, $subject, $content, $headers);
******
Et ça m'a envoyé le mail correctement...
Steps To Reproduce
Additional Information
Tags No tags attached.
browser IE
Database engine and version
PHP version
Web server Apache 1.3.x (Free)
Attached Files

- Relationships
has duplicate 0000166closedplg envoi de mail sur FREE 

-  Notes
(0000259)
plg (manager)
2005.09.22 23:39

Je connais le problème et je ne sais cependant pas comment le résoudre :-( Plusieurs solutions :

- mettre en commentaire dans le code la version pour Free.fr avec un petit message explicatif

- mettre un paramètre de configuration hosted_by_free_fr

La seconde solution ne me plaît pas vraiment...
(0000282)
VDigital (reporter)
2005.10.01 07:41

Je mettrais mail_options = false dans config_default
avec en commentaire "Only set it true if you have a send mail warning with options parameter missing"

Cela fait plus généraliste et on peut mettre une épinglette spéciale Free dans "installation sur Free" sur le forum français.
Du coup si le cas se représente chez d'autres hébergeurs, on pourra débloquer facilement.
(0000294)
plg (manager)
2005.10.18 21:39

J'ai suivi l'idée de VDigital. Correction effective en 1.5.0RC2

- Issue History
Date Modified Username Field Change
2005.09.22 13:00 samyyy New Issue
2005.09.22 13:00 samyyy browser => IE
2005.09.22 13:00 samyyy Web server => Apache 1.3.x (Free)
2005.09.22 23:39 plg Note Added: 0000259
2005.09.22 23:39 plg Assigned To => plg
2005.09.22 23:39 plg Priority normal => low
2005.09.22 23:39 plg Status new => assigned
2005.09.25 17:08 plg Relationship added has duplicate 0000166
2005.09.28 21:24 plg Status assigned => feedback
2005.10.01 07:41 VDigital Note Added: 0000282
2005.10.18 21:39 plg Note Added: 0000294
2005.10.18 21:39 plg Status feedback => closed
2005.10.18 21:39 plg Resolution open => fixed
2005.10.18 21:39 plg Fixed in Version => 1.5.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker